# Extensible Scene Graph Manager: Application Programs

### vrmlint:

VRML'97 file syntax checker. Just parses the file and reports errors if there are any.

Usage:

vrmlint [input-file]

### vrmlconv:

Converts 3D file formats to, from or across VRML'97.

Usage:

vrmlconv [options] [input-file-names]

Options:

-input-file-format vrml | ply | so | input file format
-output-file-format vrml | mgf | nff | cxx | output file format
-help | show usage of this program

vrmlconv reads the input files in order and converts them tothe standard output. If no input files are given, vrmlconv reads from standard input. The default input or output file format is VRML'97.

Note: not all input/output file formats listed above may be supported.

### vrmlview:

Efficient, but rather quick and dirty VRML'97 viewer, using OpenGL and Motif/X. Allows to interactively navigate even complex models (several millions of polygons).

Usage:

vrmlview [options] [input-file]

Options:

-input-file-format vrml | ply | so | input file format

If no input file is given on the command line, you can choose one from the menus in the program.

#